Headline and copytext

Headline: Semantic SEO

Copy: Outrun the competition using TYPO3 Neos advanced semantic features. You can annotate your content according to the RDFa
standard feeding the search engines additional meta data in order to deliver machine-readable content right away.

Idea and Reasoning

Since the driving thought behind semantics is to be ranked better in search engines, this section should focus on pointing out how
Neos aids the editor in achieving better results.

Icon and image style

    -  Searchglass (never get's old)

History
#1 - 2013-05-16 20:39 - Mathias Schreiber
- Status changed from New to Needs Feedback
- Assigned To set to Rasmus Skjoldan
- % Done changed from 0 to 80

#2 - 2013-05-17 11:36 - Rasmus Skjoldan
- Assigned To changed from Rasmus Skjoldan to Mathias Schreiber

Thinking of http://alistapart.com/column/wysiwtf, isn't there more to semantic web here that we can emphasise? I'm not the right guy to ask here -
maybe talk about this with Kurfuerst.

#3 - 2013-06-07 12:25 - Claas Reimer
- File 07_SEO_LAY.jpg added

Attached a layout for this section, emotional mood pic. Onepage section Nr.7.

#4 - 2013-06-10 11:00 - Rasmus Skjoldan

I don't quite understand how the binoculars have to do with semantics...

I think "labeling" would be more suiting - as in whay you see is what you mean. A package with a label on describing what it is?

#5 - 2013-06-10 13:30 - Mathias Schreiber
http://alistapart.com/column/wysiwtf


My reasoning was client based.
Why would you use semantic annotations?
Not because they are cool, but because you want to be found on the web.
Thus, since the two main terms "SEO" and "semantic web" are bound in a way, SEO should be the focus.
I never talked to a client demanding to use semantic annotations.
On the other hand, I have spoken to a LOT of clients wanting SEO :)

#6 - 2013-10-02 11:27 - Mathias Schreiber
- Category set to Copytext

#7 - 2013-10-02 11:38 - Mathias Schreiber
- Target version set to 2) Finish Copytext

#8 - 2013-12-11 10:51 - Mathias Schreiber
- Status changed from Needs Feedback to Closed
